> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/software-delivery-agent-apis/database-devops/log-ingest.md).

# Log Ingest

This contains APIs for creating and retrieving database migration log information

## GET /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/instance/{dbinstance}/logs/{log}

> Retrieves the specified log event

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for creating and retrieving database migration log information","name":"Log Ingest"}],"paths":{"/v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/instance/{dbinstance}/logs/{log}":{"get":{"description":"Retrieves the specified log event","operationId":"V1GetDbinstanceLog","responses":{"200":{"$ref":"#/components/responses/ParsedLogResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"tags":["Log Ingest"]}}},"components":{"responses":{"ParsedLogResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParsedLogOut"}}},"description":"Response body for Log Event"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"ParsedLogOut":{"properties":{"command":{"type":"string"},"id":{"description":"identifier of the logIngest entity","type":"string"},"success":{"type":"boolean"}},"required":["success","command","id"],"title":"Ingest Log","type":"object"},"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```
